package ink.wgink.module.activiti.service.activiti;

import ink.wgink.module.activiti.pojo.dtos.ActivitiFlowNodeDTO;
import ink.wgink.module.activiti.pojo.dtos.ActivitiProcdefDTO;
import ink.wgink.pojo.result.SuccessResultList;
import org.activiti.bpmn.model.BpmnModel;

import java.util.List;

/**
 * @ClassName: IActivitiDeploymentService
 * @Description: 流程定义
 * @Author: wanggeng
 * @Date: 2021/12/7 10:11 PM
 * @Version: 1.0
 */
public interface IActivitiProcdefService {

    SuccessResultList<List<ActivitiProcdefDTO>> listPage(int page, int rows);

    List<ActivitiFlowNodeDTO> listFlowNodeByDeploymentId(String deploymentId);

    List<ActivitiFlowNodeDTO> listFlowNodeByModel(BpmnModel bpmnModel);
}
