package ink.wgink.module.activiti.service.oa;

import ink.wgink.module.activiti.pojo.dtos.oa.OaTaskDTO;

import java.util.List;
import java.util.Map;

/**
 * @ClassName: IOAFormReportService
 * @Description: OA表单上报
 * @Author: wanggeng
 * @Date: 2022/3/22 22:05
 * @Version: 1.0
 */
public interface IOaFormReportService {

    String KEY_FORM_CODE = "formCode";
    String KEY_FORM_VERSION = "formVersion";
    String KEY_REPORT_UID = "reportUid";

    /**
     * 保存表单
     *
     * @param processDefinitionId 流程定义ID
     * @param formCode            表单编码
     * @param formVersion         表单版本
     * @param params              表单参数
     */
    void save(String processDefinitionId, String formCode, Integer formVersion, Map<String, Object> params);

    /**
     * 我的任务（待办）
     *
     * @return
     */
    List<OaTaskDTO> listTaskOfMine();

}
